Results 1 to 4 of 4

Thread: kde 4.2.2 can't run X now

  1. #1
    gholtslander NNTP User

    Default kde 4.2.2 can't run X now

    After updating to kde 4.2.2 from repository I get this:

    kstartupconfig4 does not exist or fails. The error code is 139. Check your installation

    /usr/bin/startkde: line 95 5995 Segmentation fault kstartupconfig 4

    and can't start X

  2. #2
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: kde 4.2.2 can't run X now

    Hi,
    This just happened to another poster the other day.

    In this case you'll have to use the cli version of Yast2 Software Manager to reinstall your KDE. Refer to my post on step by step instructions on doing this!
    after package update issues with kdm and kde 4.2 - openSUSE Forums

    Hope this helps!

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  3. #3
    wolfi_w NNTP User

    Default Re: kde 4.2.2 can't run X now

    Hi,
    you have to update also the following packages of the QT-Libs:
    - libqt4 (>= 4.5.0-43.1)
    - libqt4-qt3support (>= 4.5.0-43.1)
    - libqt4-x11 (>= 4.5.0-43.1)
    - libQTWebKit (>= 4.5.0-43.1).
    Then you can boot again without any problems!
    wolfi w.

  4. #4

    Default Re: kde 4.2.2 can't run X now

    Just wanted to say I got this error (kstartupconfig4 etc) today and managed to fix the problem following the advice posted here. I updated the kde4 packages first but missed the second bit of advice in this thread. When I updated those packages (the qt stuff) it worked again. I'm back in Linux, which is good since my windows installation is suffering from a dying hard drive. I had never used the command line interface for yast yet either. Thanks to all.



    Ingvar

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •